/* ************************************************************************** */
/*                                       _____           _                    */
/*  datetimeutils.c                     |_   _|__  _   _| |__   ___ _   _     */
/*  | Project : librtc                    | |/ _ \| | | | '_ \ / _ \ | | |    */
/*                                        | | (_) | |_| | | | |  __/ |_| |    */
/*  By: thomas <thomas@touhey.fr>         |_|\___/ \__,_|_| |_|\___|\__, |.fr */
/*  Last updated: 2016/07/22 20:12:11                               |___/     */
/*                                                                            */
/* ************************************************************************** */

#include <librtc/internals/datetime.h>

/*
**	secs_in_month:
**	Seconds in months.
*/

const unsigned int rtc_secs_in_month[] = {
	31 * secs_in_day, 28 * secs_in_day, 31 * secs_in_day, 30 * secs_in_day,
	31 * secs_in_day, 30 * secs_in_day, 31 * secs_in_day, 31 * secs_in_day,
	30 * secs_in_day, 31 * secs_in_day, 30 * secs_in_day, 31 * secs_in_day
};

/*
**	secs_through_month:
**	Seconds through months.
*/

const unsigned int rtc_secs_through_month[] = {
	0, 31 * secs_in_day, 59 * secs_in_day, 90 * secs_in_day,
	120 * secs_in_day, 151 * secs_in_day, 181 * secs_in_day,
	212 * secs_in_day, 243 * secs_in_day, 273 * secs_in_day,
	304 * secs_in_day, 334 * secs_in_day
};
